Subject: bug#56808: 29.0.50; Elusive display problem on macOS

From: Gerd Möllmann <[email-masked]>
Date: Thu, 28 Jul 2022 17:04:59 +0200

Eli Zaretskii <[email-masked]> writes:

> M-? (a.k.a. xref-find-references) cannot find it?

No it doesn't.  Apparently it doesn't use the lsp backend.  Don't know
if it should.

>
>>   glyph = macfont_get_glyph_for_character (font, ' ');
>>   if (glyph != kCGFontIndexInvalid)
>>     font->space_width = macfont_glyph_extents (font, glyph, NULL, NULL, 0);
>>   else
>>     /* dirty workaround */
>>     font->space_width = pixel_size;
>> 
>> I don't think the else branch has been taken, because that wouldn't lead
>> to a value of 8.
>
> Maybe you should run with a watchpoint on font->space_width.

I suspect that it's really 8 at some point during startup, and that it
isn't overwritten.  The reason for this is that the two places above are
the only ones assigning to space_width, which I trust clangd to know.

Maybe I can verify that tomorrow.